// AritmetikaTest.cs  Ispitivanje klasa numerikih podataka.

using Aritmetika;
using System;

public class AritmetikaTest {
  private static Random sluc = new Random(); // Generator sluajnih brojeva.

  private static Matrica napravi(int m, int n) { // Stvaranje matrice
    Matrica matr = new Matrica(m, n);            //    celih brojeva.
    for (int i=0; i<m; i++)
      for (int j=0; j<n; j++)
        matr[i, j] = new CeoBroj(sluc.Next(10));
    return matr;
  }
  static void Main() { // Glavna metoda.
    try {
      Matrica a = napravi(2, 3);
      Matrica b = napravi(3, 4);
      Matrica c = (Matrica)a.Proizvod(b);
      Console.WriteLine(a);
      Console.WriteLine(b);
      Console.WriteLine(c);
      Console.WriteLine(c.Clone());
    } catch (GreNumericka g) {
      Console.WriteLine(g);
    }
  }
}
