// Artikal.cs - Klasa artikala.

namespace Prevoz {
  public class Artikal: Roba {
    private string naziv;               // Naziv artikla.
    private double vrednost, tezina;    // Vrednost i teina artikla.
  
    public Artikal(string n, double v, double t)     // Inicijalizacija.
      { naziv = n; vrednost = v; tezina = t; }

    public override double Vrednost {get{ return vrednost; }} // Vredn. art.
  
    public override double Tezina {get{ return tezina; }} // Teina artikla.

    public override string ToString ()               // Tekstualni opis.
      { return naziv + "(" + vrednost + "," + tezina + ")"; }
  }
}
