// Casovnik.cs - Klasa asovnika.

namespace Trgovina2 {
  using Pokretni;

  public class Casovnik {
    public delegate IPokretan vreme(double dt); // Dogaaj: proteklo je
    public event vreme Vreme;                   //   dt vremena.
                                                // Parametri asovnika:
    private double dt;                          // - korak asovnika,
    private double t;                           // - trenutno vreme,
    private double tMax;                        // - trajanje rada.
  
    public double Dt {get{ return dt; }}        // Dohvatanje parametara
    public double T {get{ return t; }}          //   asovnika.
    public double TMax {get{ return tMax; }}
  
    public void Radi(double dt, double tMax) {  // Rad asovnika.
      this.dt = dt; this.tMax = tMax;
      for (t=0; t<=tMax; t+=dt) {
        System.Console.WriteLine("Vreme: " + t); 
        if (Vreme != null) Vreme(dt);
      }
    }
  }
}
