// Ceo.cs - Klasa uporedivih celih brojeva.

using Usluge;

public class Ceo: IUporediv {
  private int broj;                       // Vrednost u objektu.

  public Ceo (int b) { broj = b; }        // Inicijalizacija.
 
  public int Vr { get { return broj; } }  // Dohvatanje vrednosti.

  public bool Ispred (IUporediv b)        // Da li je ispred drugog objekta?
    { return broj < ((Ceo)b).broj; }

  public bool Jednak (IUporediv b)        // Da li je jednak drugom objektu?
    { return broj == ((Ceo)b).broj; }

  public override string ToString ()      // Tekstualni opis.
    { return broj.ToString(); }
}
