// Ciklus.cs - Klasa ciklusa.

using Izrazi;

namespace Naredbe {
  public class Ciklus: Naredba {
    private Izraz izr;                        // Uslov ciklusa.
    private Naredba nar;                      // Sadraj ciklusa.
  
    public Ciklus(Izraz i, Naredba n)         // Inicijalizacija.
        { izr = i; nar = n; }

    public override void Izvrsi()             // Izvravanje.
      { while (izr.Vr() != 0) nar.Izvrsi(); }

    public override string ToString() {       // Tekstualni opis.
      string s = Nivo + "while(" + izr + ")\n";
      Nivo += "  "; s += nar; Nivo = Nivo.Substring(2);
      return s;
    }
  }
}
