// Datum.cs - Klasa kalendarskih datuma.

namespace Nastava {
  public struct Datum {
    private short d, m, g;                   // Dan, mesec i godina.

    public Datum(short i, short j, short k)  // Inicijalizacija.
      { d = i; m = j; g = k; }

    public short Dan { get { return d; } }   // Dohvatanje delova datuma.
    public short Mes { get { return m; } }
    public short God { get { return g; } }
 
    public override string ToString()        // Tekstualni opis.
      { return d + "." + m + "." + g + "."; }
  }
}
