// Fun2.cs - Apstraktna klasa funkcija jednog realnog argumenta.

namespace Integrali {
  using Usluge;

  public abstract class Fun {                   // Vrednost funkcije.
    public abstract double F(double x);

    public virtual double I(double x)           // Neodreeni integral.
      { throw new GreNemaInt(); }

    public double I(double a, double b) {       // Odreeni integral:
      const int N = 30;
      try {
        // - tano raunanje,
        return I(b) - I(a);
      } catch (GreNemaInt) {
        // - priblino raun.
        double dx = (b-a)/N,
               s = 0;
        for (int i=0; i<N; i++)
          s += F(a+i*dx);
        return s * dx;
      }
    }
  }
}
