// GreMatInd.cs - Klasa za greke: Nedozvoljeni indeksi.

namespace Matrica {
  public class GreMatInd: System.Exception {
    private int i, j;                  // Nedozvoljeni indeksi.

    public GreMatInd(int ii, int jj) { i = ii; j = jj; } // Inicijalizacija.
  
    public int I { get { return i; } } // Dohvatanje nedozvoljenih indeksa.
    public int J { get { return j; } }

    public override string ToString()  // Sastavljanje tekstualnog opisa.
      { return "*** Nedozvoljeni indeksi [" + i + "," + j + "]"; }
  }
}
