// GreNemaMas.cs - Klasa za greke: Radnik nema mainu.


namespace Radionica {
  public class GreNemaMas: Usluge.Greska {
    string ime; int id; // Ime i identifikator problematinog radnika.

    public GreNemaMas(string iime, int iid)   // Inicijalizacija.
      { ime = iime; id = iid; }

    public string Ime { get { return ime; } } // Dohvatanje polja.
    public int Id { get { return id; } }

    public override string ToString() {       // Tekstualni opis.
      return "*** Radniku " + ime + ", id " + id +
             ", nije dodeljena masina!";
    }
  }
}
