// GreVerInd.cs - Klasa za greke: Nedozvoljen indeks u verinom razlomku.

namespace Verizni {
  public class GreVerInd: System.Exception {
    private int n, i;         // Red razlomka i nedozvoljeni indeks.
  
    public GreVerInd(int n, int i)              // Inicijalizacija.
      { this.n = n; this.i = i; }
    
    public int Red { get { return n; } }        // Dohvatanje polja.
    public int Ind { get { return i; } }
  
    public override string ToString() {         // Tekstualni opis.
      return "GRESKA: Nedozvoljen indeks " + i +
             " u veriznom razlomku reda " + n;
    }
  }
}
