// IPokazatelj.cs - Interfejs sastavljaa statistikog pokazatelja.

namespace Statistika {
  public interface IPokazatelj {
    void Ispocetka();                          // Poetak analize.
    void Azuriraj(double broj);                // Akumuliranje podataka.
    double Uzmi { get; }                       // Dohvatanje rezultata.
    string ToString();                         // Naziv pokazatelja.
  }
}
