// Kvadrat2.cs - Klasa kvadrata u ravni.

namespace Figure1 {
  public class Kvadrat: Figura {
    private double a;                                       // Stranica.

    public Kvadrat()                   : base()   { a=1;  } // Inicijali-
    public Kvadrat(double aa)          : base()   { a=aa; } //   zacija.
    public Kvadrat(double aa, Tacka tt): base(tt) { a=aa; }

    public override double O {get{ return 4 * a; }}         // Obim.

    public override double P {get{ return a * a; }}         // Povrina.

    public override void Citaj()                            // itanje.
      { base.Citaj(); a = global::Citaj.Double(); }

    public override string ToString() {                  // Tekstualni opis.
      return "kvadr[" + base.ToString() + ", a=" + a + 
        ", O=" + O + ", P=" + P + "]"; 
    }
  }
}
