// MasKvad.cs - Klasa maina za kvadre.

using Predmeti1;

namespace Radionica {
  public class MasKvad: Masina {
    private double a, b, c;               // Dimenzije pravljenih kvadara.
  
    public MasKvad(double ss, double aa, double bb, double cc) // Inicijali-
      : base(ss) { a = aa; b = bb; c = cc; }                   //    zacija.
    
    double A { get { return a; } }        // Dohvatanje dimenzija
    double B { get { return b; } }        //   pravljenih kvadara.
    double C { get { return c; } }
  
    public override char Vrsta            // Vrsta pravljenih predmeta.
      { get { return Kvadar.VR; } }

    public override Predmet Napravi()     // Pravljenje kvadra.     
      { br++; return new Kvadar(spTez, a, b, c); }
  }
}
