// Masina.cs - Apstraktna klasa maina.

using Predmeti1;

namespace Radionica {
  public abstract class Masina {
    protected double spTez;       // Specifina teina pravljenih predmeta.
    protected int br = 0;         // Broj napravljenih predmeta.

    protected Masina(double s) { spTez = s; } // Inicijalizacija.

    public abstract char Vrsta { get; }       // Vrsta pravljenih predmeta.

    public int Broj { get { return br; } }    // Broj napravljenih predmeta.

    public double SpTez {                     // Specifina teina:
      get { return spTez; }                   // - dohvatanje,
      set { spTez =  value; br = 0; }         // - postavljanje.
    }

    public abstract Predmet Napravi();        // Pravljenje predmeta.
  }
}
