// MatrTest.cs - Ispitivanje klase matrica realnih brojeva.

using Matrica;
using System;

class MatrTest {
  static void Main(string[] varg) {
    Matr[] mat =  new Matr [int.Parse(varg[0])];
    for (int i=0; i<mat.Length; mat[i++]=new Matr());
    int m1 = 0;
    bool kraj = false;
    while (!kraj) {
      Console.Write(
        "\n1. Izbor matrice           5. Zbir matrica\n"     +
          "2. Unos matrice            6. Razlika matrica\n"  +
          "3. Prikaz matrice          7. Proizvod matrica\n" +
          "4. Postavljanje elementa   8. Prikaz elementa\n"  +
          "0. Kraj rada\n\n"                                 +
          "Va izbor? "
      );
      try {
        int izb = Citaj.Int();
        switch (izb) {
          case 1:  // Izbor matrice:
            Console.Write("Indeks? ");
            m1 = Citaj.Int();
            break;
          case 2:  // Unos matrice:
            mat[m1].Citaj(); break;
          case 3:  // Prikaz matrice:
            Console.Write(mat[m1]); break;
          case 4:  // Postavljanje elementa:
            Console.Write("Indeksi? ");
            int i = Citaj.Int(), j = Citaj.Int();
            Console.Write("Vrednost? ");
            mat[m1][i, j] = Citaj.Double();
            break;
          case 5: case 6: case 7: // Zbir, razlika i proizvod matrica:
            Console.Write("Ind. druge matr.? ");
            int m2 = Citaj.Int(); Matr m = null;
            switch (izb) {
              case 5: m = mat[m1] + mat[m2]; break;
              case 6: m = mat[m1] - mat[m2]; break;
              case 7: m = mat[m1] * mat[m2]; break;
            }
            Console.Write(m);
            break;
          case 8:  // Prikaz elementa:
            Console.Write("Indeksi? ");
            Console.WriteLine("Vrednost= " +
                               mat[m1][Citaj.Int(),Citaj.Int()]);
            break;
          case 0:  // Kraj rada.
            kraj = true;
            break;
          default: // Nedozvoljen izbor.
            throw new Exception("Nedozvoljen izbor \"" + izb + "\"");
        }
      } catch (Exception g) { Console.WriteLine(g); }
    }
  }
}
