// Maximum.cs - Klasa najvee vrednosti.

namespace Statistika {
  using System;
  public class Maximum: IPokazatelj  {
    private double max = Double.MinValue;      // Najvea vrednost.

    public void Ispocetka() { max=Double.MinValue; } // Poetak analize.

    public void Azuriraj(double broj)          // Akumuliranje podataka.
      {  if (broj > max) max = broj; }

    public double Uzmi                         // Dohvatanje rezultata.
      { get { return max!=Double.MaxValue ? max : Double.NaN; } }

    public override string ToString()          // Naziv pokazatelja.
      { return "najveca vrednost"; }
  }
}
