// MerenjeTest.cs - Ispitivanje klasa fizikih veliina.

using Merenje;
using System;

public class MerenjeTest {
  static void Main() {
    Merac mTemp = new Merac(new Temp( 10,  50), 20),
          mPrit = new Merac(new Prit(100, 200), 20);
    bool kraj = false;
    while (!kraj) {
      Console.Write("Izbor (Kreni, Ocitaj, Stani, Zavri)? ");
      switch (Citaj.Char()) {
        case 'k': case 'K': // Pokretanje meraa.
          mTemp.Kreni(); mPrit.Kreni();
          break;
        case 'o': case 'O': // Oitavanje meraa.
          Console.WriteLine("T=" + mTemp + "\np=" + mPrit);
          break;
        case 's': case 'S': // Zaustavljanje meraa.
          mTemp.Stani(); mPrit.Stani();
          break;
        case 'z': case 'Z': // Zavretak rada.
          kraj = true;
          break;
      }
    }
    mTemp.Zavrsi(); mPrit.Zavrsi();
  }
}
