// Minimum.cs - Klasa najmanje vrednosti.

namespace Statistika {
  using System;
  public class Minimum: IPokazatelj {
    private double min = Double.MaxValue;      // Najmanja vrednost.

    public void Ispocetka() { min=Double.MaxValue; } // Poetak analize.

    public void Azuriraj(double broj)          // Akumuliranje podataka.
      {  if (broj < min) min = broj; }

    public double Uzmi                         // Dohvatanje rezultata.
      { get { return min!=Double.MaxValue ? min : Double.NaN; } }

    public override string ToString()          // Naziv pokazatelja.
      { return "najmanja vrednost"; }
  }
}
