// NaredbeTest.cs - Ispitivanje klasa naredbi.

using Izrazi;
using Naredbe;
using System;

public class NaredbeTest {
  static void Main() {
    Prom n = new Prom("n"), i = new Prom("i"), f = new Prom("f");
    Sekvenca telo = new Sekvenca();
    telo.Dodaj(new Prosta(new Dodela(i, new Zbir(i, new Konst(1)))));
    telo.Dodaj(new Prosta(new Dodela(f, new Proizv(f, i))));
    Ciklus cikl = new Ciklus(new Razl(n, i), telo);
    Sekvenca prog = new Sekvenca();
    prog.Dodaj(new Prosta(new Dodela(i, new Konst(0))));
    prog.Dodaj(new Prosta(new Dodela(f, new Konst(1))));
    prog.Dodaj(cikl);
    Console.WriteLine("Program:\n" + prog);
    while (true) {
      Console.Write("n? "); n.Postavi(Citaj.Int());
    if (n.Vr() < 0) break;
      prog.Izvrsi();
      Console.WriteLine ("f= " + f.Vr());
    }
  }
}
