// NizKompl.cs - Klasa nizova
//   kompleksnih brojeva.

using System;

public class NizKompl {
  private Kompl[] niz;                                // Sadrani niz.

  public NizKompl(int n)                              // Konstruktori.
    { niz = new Kompl [n]; }
  public NizKompl(): this(10) {}

  public int Duz                                      // Dohvatanje duine:
    { get { return niz.Length; } }                    // - k = nk.Duz

  public Kompl this[int ind] {                        // Indeksiranje:
    get { return niz[ind]; }                          // - z = nk[ind]
    set { niz[ind] = value; }                         // - nk[ind] = z
  }
}
