// OtporniciTest.cs - Ispitivanje klasa otpornika.

using Otpornici;
using System;

public class OtporniciTest {
  private static ApstraktanOtpornik citaj() {             // itanje
    switch (Citaj.String().ToLower()) {                   //   otpornika.
      case "prost":
        return new ProstOtpornik(Citaj.Double());
      case "redna":
        return citaj(new RednaVezaOtpornika());
      case "paralelna":
        return citaj(new ParalelnaVezaOtpornika());
      default:
        return null;
    }
  }

  private static SlozenOtpornik citaj(SlozenOtpornik R) { // itanje
    while (true) {                                        //   sloenog
      ApstraktanOtpornik r = citaj();                     //   otpornika.
    if (r == null) return R;
      R.Dodaj(r);
    }
  }
 
  static void Main() { // Glavna metoda.
    ApstraktanOtpornik R;
    while ((R = citaj()) != null)
      Console.WriteLine (R + " = " + R.Otpornost);
  }
}
