// ParalelnaVezaOtpornika.cs - Klasa paralelno vezanih otpornika.

namespace Otpornici {
  public class ParalelnaVezaOtpornika: SlozenOtpornik {
    public override double Otpornost { get {        // Otpornost otpornika.
      double s = 0;
      for (Elem tek=prvi; tek!=null; tek=tek.sled)
        s += 1 / tek.R.Otpornost;
      return 1 / s;
    }}

    protected override sealed char Otv () => '[';   // Simboli za tekstualni
    protected override sealed char Oper() => '|';   //   opis.
    protected override sealed char Zatv() => ']';
  }
}
