// Predmet1.cs - Apstraktna klasa predmeta.

namespace Predmeti1 {
  public abstract class Predmet {
    private double sigma;                              // Specifina teina.

    protected Predmet(double ss=1) { sigma = ss; }     // Inicijalizacija.

    public abstract char Vr { get; }                   // Vrsta.

    public abstract double V { get; }                  // Zapremina.
  
    public double Q { get { return V * sigma; } }      // Teina.

    public virtual void Citaj()                        // itanje.
      { sigma=global::Citaj.Double(); }

    public override string ToString()                  // Tekstualni opis.
      { return Vr + "[" + sigma + "|"; }
  }
}
