// Radnik1.cs - Apstraktna klasa
//             radnika.

namespace Prodaja {
  public abstract class Radnik {
    private string ime;                              // Ime radnika.
    private double procenat;                         // Procenat za platu.

    protected Radnik(string i, double p)             // Inicijalizacija.
      { ime = i; procenat = p; }
  
    public abstract double Prihod { get; }           // Prihod radnika.

    public double Plata                              // Plata radnika.
      { get { return Prihod * procenat / 100; } }

    public override string ToString()                // Tekstualni opis.
      { return ime + "/" + Plata; }
  }
}
