// Recnik2Test.cs - Ispitivanje klase renika.

using System;

public class Recnik2Test {
  static void Main() {
    Recnik2 r = Recnik2.Otvori("Recnik2Test.pod");
    bool kraj = false;
    while (!kraj) {
      Console.Write("\n1. Trazenje prevoda\n"      +
                      "2. Dodavanje prevoda\n"     +
                      "3. Brisanje prevoda\n"      +
                      "4. Brisanje svih prevoda\n" +
                      "5. Prikazivanje recnika\n"  +
                      "0. Zavretak rada\n\n"      +
                      "Va izbor? "                  );
      string rec = "", prevod = ""; string[] prevodi = null;
      switch (Citaj.Char()) {
        case '1': // Traenje prevoda:
          while (true) {
            Console.Write("Rec?       "); rec = Citaj.String();
          if (rec.Equals("?")) break;
            Console.Write("Prevodi:   "); 
            if ((prevodi = r.Prevodi(rec)) != null)
              for (int i=0; i<prevodi.Length;
                   Console.Write(prevodi[i++]+" "));
            Console.WriteLine();
          } break;
        case  '2': // Dodavanje prevoda:
          while (true) {
            Console.Write("Rec?       ");   rec    = Citaj.String();
          if (rec.Equals("?")) break;
            while (true) {
              Console.Write("Prevod?    "); prevod = Citaj.String();
            if (prevod.Equals("?")) break;
              r.Dodaj(rec, prevod);
            }
          } break;
        case '3': // Brisanje prevoda:
          while (true) {
            Console.Write("Rec?       ");   rec    = Citaj.String();
          if (rec.Equals("?")) break;
            while (true) {
              Console.Write("Prevod?    "); prevod = Citaj.String();
            if (prevod.Equals("?")) break;
              r.Brisi(rec, prevod);
            }
          } break;
 
        case '4': // Brisanje svih prevoda:
          while (true) {
            Console.Write("Rec?       ");   rec    = Citaj.String();
          if (rec.Equals("?")) break;
            Console.Write("Prevodi:   ");
            if ((prevodi = r.Prevodi(rec)) != null)
              for (int i = 0; i<prevodi.Length;
                   Console.Write(prevodi[i++]+" "));
            Console.WriteLine();
            Console.Write("Brisati?   ");
            if (Citaj.String().Equals("da")) r.Brisi (rec);
          } break;
        case '5': // Prikazivanje renika:
          Console.Write("\n" + r);
          break;
        case '0': // Kraj rada.
          kraj = true;
          break;
      }
      r.Snimi();
    }
  }
}
