// Sef.cs - Klasa efova.

namespace Prodaja {
  public class Sef: Radnik {
    private Radnik[] podredjeni;                     // Niz podreenih.
    private int brPod = 0;                           // Broj podreenih.

    public Sef(string ime, double procenat, int kap) // Inicijalizacija.
      : base(ime, procenat) { podredjeni = new Radnik [kap]; }

    public bool Dodeli(Radnik r) {                   // Dodela podreenog.
      if (brPod == podredjeni.Length) return false;
      podredjeni[brPod++] = r; return true;
    }

    public override double Prihod { get {            // Prihod efa.
      double p = 0;
      for (int i=0; i<brPod; p+=podredjeni[i++].Prihod);
      return p;
    }}
  }
}
