// SekPravi.cs - Formiranje sekvencijalne binarne datoteke.

using System.IO;
using System;

public class SekPravi {
  static void Main(String[] varg) {
    BinaryWriter izlaz = null;
    try {
      Citaj ulaz = new Citaj(varg[0]);
      izlaz = new BinaryWriter(File.Open(varg[1], FileMode.Create));
      while (!ulaz.EndS()) {
        int n = ulaz.IntS();
        izlaz.Write(n);
        for (int i=0; i<n; i++) {
          double x = ulaz.DoubleS();
          izlaz.Write(x);
        }
      }
    } catch (FileNotFoundException) {
      Console.WriteLine("*** Greska pri otvaranju datoteke!");
    } catch (IOException) {
      Console.WriteLine("*** Ulazno/izlazna greska!");
    } finally { if (izlaz != null) izlaz.Close(); }
  }
}
