// SekPrik.- Prikazivanje sadraja sekvencijalne binarne datoteke.

using System.IO;
using System;

public class SekPrik {
  static void Main(String[] varg) {
    BinaryReader ulaz = null;
    try {
      ulaz = new BinaryReader(File.Open(varg[0], FileMode.Open));
      while (true) {
        int n = ulaz.ReadInt32(); Console.Write(n);
        for (int i=0; i<n; i++)
          { double x = ulaz.ReadDouble(); Console.Write(" " + x); }
        Console.WriteLine();
      }
    } catch (FileNotFoundException) {
      Console.WriteLine("*** Greska pri otvaranju datoteke!");
    } catch (EndOfStreamException) {
    } catch (IOException) {
      Console.WriteLine("*** Ulazno/izlazna greska!");
    } finally { if (ulaz != null) ulaz.Close(); }
  }
}
