// Sfera1.cs - Klasa sfera.

namespace Predmeti1 {
  public class Sfera: Predmet {
    public const char VR = 'S';                        // Vrsta.
    private double r;                                  // Poluprenik.

    public Sfera(double ss=1, double rr=1)             // Inicijalizacija.
      : base(ss) { r = rr; }

    public override char Vr { get { return VR; } }     // Vrsta.

    public override double V  // Zapremina.
      { get { return 4.0/3 * r*r*r * System.Math.PI; } }

    public override void Citaj()                       // itanje.
      { base.Citaj(); r = global::Citaj.Double(); }

    public override string ToString()                  // Tekstualni opis.
      { return base.ToString() + r + "]"; }
  }
}
