// Sfera3.cs - Klasa sfera.

namespace Trgovina1 {
  public class Sfera: Proizvod {
    private double r;                             // Poluprenik sfere.
  
    public Sfera(double rr) { r = rr; }           // Inicijalizacija.

    public override char Oznaka                   // Oznaka vrste proizvoda.
      { get { return 'S'; } }

    public override bool Istovetan(IUporediv u)   // Da li su istovetne.
      { return base.Istovetan(u) && r==((Sfera)u).r; }
  
    public override double Zapremina              // Zapremina sfere.
      { get { return 4/3.0 * r*r*r * System.Math.PI; } }
  
    public override string ToString ()            // Tekstualni opis.
      { return base.ToString() + "(" + r + ")"; }
  }
}
