// Skladiste2Test.cs - Ispitivanje klasa proizvoaa i potroaa.

using Skladista;
using System.Threading;
using System;

public class Skladiste2Test {
  static void Main() {
    Skladiste s = new Skladiste(3);
    IAkter[] akteri = new IAkter [11];
    for (int i=0; i<5; i++) {
      akteri[i]   = new Proizvodjac(s);
      akteri[i+5] = new Potrosac(s);
    }
    akteri[10] = new Izvestac(s);
    foreach (IAkter a in akteri) a.Pocni();
    Thread.Sleep(16000);
    foreach (IAkter a in akteri) a.Zavrsi();
    Console.WriteLine("Glavna - zavrsila");
  }
}
