// StabloTest.cs - Ispitivanje klase ureenih binarnih stabala.

using System;

public class StabloTest {
  public static void Main() {
    Stablo stb = new Stablo(); bool kraj = false;
    while (!kraj) {
     Console.Write("\n" +
        "a) Dodavanje brojeva         Pisanje stabla:\n" +
        "b) Izostavljanje brojeva       1. koren-levo-desno\n" +
        "c) Citanje stabla              2. levo-koren-desno (uredjeno)\n" +
        "d) Najmanji element            3. levo-desno-koren\n" +
        "e) Najveci element             4. crtanje\n" +
        "f) Pretrazivanje             i) Velicina stabla\n" +
        "g) Balansiranje              j) Zbir elemenata\n" +
        "h) Praznjenje stabla         k) Broj pojavljivanja\n" +
        "                             z) Zavrsetak rada\n\n" +
        "Vas izbor? ");
      char izbor = Citaj.Char();
    if (izbor == 'z') break;
      switch (izbor) {
        case 'a': case 'A':     // Dodavanje brojeva u stablo:
          Console.Write("Brojevi?   ");
          while (true) {
            int b = Citaj.Int();
          if (b == 9999) break;
            stb.Dodaj(b);
          }
          break;
        case 'b': case 'B':     // Izostavljanje brojeva iz stabla:
          Console.Write("Brojevi?   ");
          while (true) {
            int b = Citaj.Int();
          if (b == 9999) break;
            stb.Izost(b);
          }
          break;
        case 'c': case 'C':     // itanje stabla:
          Console.Write("Duzina?    "); int n = Citaj.Int();
          Console.Write("Brojevi?   "); stb.citaj(n);
          break;
        case 'd': case 'D': case 'e': case 'E':
          if (!stb.Prazno) switch (izbor) {
            case 'd': case 'D': // Najmanji element stabla:
              Console.WriteLine("min=       " + stb.Min); break;
            case 'e': case 'E': // Najvei element stabla:
              Console.WriteLine("max=       " + stb.Max); break;
          } else Console.WriteLine("*** Stablo je parzno! ***");
          break;
        case 'f': case 'F':     // Pretraivanje stabla:
          Console.Write("Broj?      ");
          Console.WriteLine("Broj se" +
                            (stb.Nadji(Citaj.Int())!=null ? "" : " NE") +
                            " nalazi u stablu.");
          break;
        case 'g': case 'G':     // Balansiranje stabla:
          stb.Balans(); break;
        case 'h': case 'H':     // Pranjenje stabla:
          stb.Prazni(); break;
        case 'i': case 'I':     // Veliina stabla:
          Console.WriteLine("Vel=       " + stb.Vel); break;
        case 'j': case 'J':     // Zbir elemenata stabla:
          Console.WriteLine("Zbir=      " + stb.Zbir); break;
        case 'k': case 'K':     // Broj pojavljivanja datog broja:
          Console.Write("Broj?      ");
          Console.WriteLine("Broj se pojavljuje " +
                            stb.Pojav(Citaj.Int()) + " puta.");
          break;
        case '1':               // Pisanje stabla koren-levo-desno:
          Console.WriteLine("Stablo=    " + stb.NiskaKLD()); break;
        case '2':               // Pisanje stabla levo-koren-desno:
          Console.WriteLine("Stablo=    " + stb.NiskaLKD()); break;
        case '3':               // Pisanje stabla levo-desno-koren:
          Console.WriteLine("Stablo=    " + stb.NiskaLDK()); break;
        case '4':               // Crtanje stabla:
          stb.Crtaj(); break;
        case 'z': case 'Z':     // Zavretak rada:
          kraj = true; break;
        default:                // Pogrean izbor:
          Console.WriteLine("*** Nedozvoljen izbor! ***"); break;
      }
    }
  }
}
