// Stek.cs - Klasa stekova ogranienog kapaciteta.

using System;

public class Stek {
  private int[] niz;                        // Sadraj steka.
  private int vrh;                          // Vrh steka.
                                            // Stvaranje steka:
  public Stek() { niz = new int [10]; }     // - kapaciteta 10,

  public Stek(int k) { niz = new int [k]; } // - zadatog kapaciteta.

  public int Vrh {
    set {                                   // Stavljanje podatka na vrh.
      if (vrh == niz.Length) {
        Console.Write("\n*** Stek je pun ***\n");
        Environment.Exit(1);
      }
      niz[vrh++] = value;
    }
    get {                                   // Uzmimanje podatka s vrha.
      if (vrh == 0) {
        Console.Write("\n*** Stek je prazan ***\n");
        Environment.Exit(2);
      }
      return niz[--vrh];
    }
  }

  public void Prazni() { vrh = 0; }               // Pranjenje steka.

  public bool Prazan { get { return vrh == 0; } } // Da li je prazan?
 
  public bool Pun { get { return vrh == niz.Length; } } // Da li je pun?

  public override string ToString() {                   // Tekstualni opis.
    string s = "";
    for (int i=vrh; i>0; s+=niz[--i]+" ");
    return s;
  }

  // Glavna metodaja za ispitivanje klase Stek.==============================
  static void Main() {
    Stek s = new Stek();
    while (!s.Pun   ) { s.Vrh = Citaj.Int(); }
    while (!s.Prazan) { Console.Write(s.Vrh + " "); }
    Console.WriteLine();
  }
}
