// Step.cs - Klasa stepena.

namespace Izrazi {
  public class Step: Izraz {
    private Izraz a, b;                        // Operandi.
  
    public Step(Izraz x, Izraz y)              // Inicijalizacija izrazima.
      { a = x; b = y; }

    public override double Vr()                // Vrednost stepena.
      { return System.Math.Pow(a.Vr(), b.Vr()); }
  
    public override string ToString()          // Tekstualni opis.
      { return "(" + a + "^" + b + ")"; }
  }
}
