// StrujaTest.cs  Ispitivanje klasa elektrinih potraa.

using Struja;
using System;

public class StrujaTest {
  private static Potrosac citaj() {             // itanje jednog potroaa:
    Console.Write("Tip (U,G,.)? ");
    switch (Citaj.Char()) {
      case 'u': case 'U': {                     // - ureaj,
        Console.Write("Vrsta? ");
        string v = Citaj.String();
        Console.Write("Snaga? ");
        double s = Citaj.Double();
        return new Uredjaj(v, s);
      }
 
      case 'g': case 'G': {                     // - grupa potroaa,
        Grupa g = new Grupa();
        Potrosac p = null;
        while ((p=citaj())!=null) g.Dodaj(p);
        return g;
      }
      default: return null;                     // - "prazan" potroa.
    }
  }

  static void Main() {                          // Glavna metoda.
    Console.Write("Snaga izvora? ");
    double s = Citaj.Double();
    Console.Write("Broj prikljuaka? ");
    int k = Citaj.Int();
    Izvor izv = new Izvor(s, k);
    Potrosac p;
    int i;
    do {
      p = citaj();
      Console.Write("Prikljuak? ");
      i = Citaj.Int();
    } while (izv.Prikljuci(p, i));
    Console.Write(izv);
  }
}
