// Tacka2.cs - Klasa taaka u ravni.

using System;

namespace Ravan {
  public class Tacka {
    public double X { get; set; }     // Koordinate (automatski
    public double Y { get; set; }     //   implementirana svojstva).
                                    
    public Tacka(double x=0, double y=0) // Inicijalizacija.
      { X = x; Y = y; }
  
    public double Poteg()             // Rastojanje od koordinatnog poetka.
      { return Math.Sqrt(X*X + Y*Y); }
  
    public double Rastojanje(Tacka t) // Rastojanje od zadate take.
      { return Math.Sqrt(Math.Pow(X-t.X,2) + Math.Pow(Y-t.Y,2)); }
  }
}
