// Tacka4.cs  Klasa taaka u ravni.

using System.Text;

namespace Linije {
  public class Tacka {
    private double x,y;                          // Koordinate.

    public Tacka(double xx=0, double yy=0)       // Inicijalizacija.
      { x = xx; y = yy; }

    public double X { get { return x; } }        // Koordinate.
    public double Y { get { return y; } }
 
    public override string ToString()            // Tekstualni opis.
      { return "(" + x + "," + y + ")"; }

    public static string ToString(Tacka[] niz) { // Tekstualni opis
      StringBuilder sb = new StringBuilder();    //   niza taaka.
      for (int i=0; i<niz.Length; i++) {
        if (i > 0) sb.Append(',');
        sb.Append(niz[i]);
      }
      return sb.ToString();
    }
  }
}
