// Tacka6.cs - Klasa taaka u ravni.

using System;

public class Tacka6 {
  private double x, y;                        // Koordinate.

  public Tacka6(double a, double b) { x = a; y = b; }    // Konstruktori.
  public Tacka6(double a) { x = a; }
  public Tacka6() {}

  public double X { get { return x;} set { x = value;} } // Apscisa.

  public double Y { get { return y;} set { y = value;} } // Ordinata.

  public double R                             // Rastojanje od (0,0).
    { get { return Math.Sqrt (x*x + y*y); } }

  public override string ToString()           // Tekstualni opis.
    { return "(" + x + "," + y + ")"; }///

  static void Main () { // Ispitivanje klase taaka.
    Tacka6 ta = new Tacka6 (1, 1);
    Tacka6 tb = new Tacka6 (4, 5);
    Console.WriteLine ("ta=" + ta + ", tb=" + tb);
    ta = tb; ta.X = 8; ta.Y = 0;
    Console.WriteLine ("ta=" + ta + ", tb=" + tb);
  }
}
