// Tacka8.cs - Klasa pomerljivih taaka u ravni.

namespace Figure2 {
  public class Tacka: Figura {
    private double x, y;                               // Koordinate.
  
    public Tacka(double a, double b) { x = a; y = b; } // Inicijalizacija.
    public Tacka() {}
  
    public double X { get { return x; } }              // Koordinate.
    public double Y { get { return y; } }
  
    public override void Pomeri(double dx, double dy)  // Pomeranje.
      { x += dx; y += dy; }
  
    public override char Vrsta { get { return 'T'; } } // Oznaka vrste.
  
    public override Tacka Teziste { get { return this; } } // Teite.
  
    public override string ToString()                  // Tekstualni opis.
      { return base.ToString() + "(" + x + "," + y + ")"; }
  }
}
