// Trougao3.cs - Klasa trouglova u ravni.

namespace Figure1 {
  public class Trougao: Figura {
    private double a, b, c;                              // Stranice.

    public Trougao()         : base() { a=b=c=1;  }      // Inicijalizacija.
    public Trougao(double aa): base() { a=b=c=aa; }
    public Trougao(double aa, double bb)
      : base()   { a = aa; b = c = bb; }
    public Trougao(double aa, double bb, double cc)
      : base()   { a = aa; b = bb; c = cc; }
    public Trougao(double aa, double bb, double cc, Tacka tt) 
      : base(tt) { a = aa; b = bb; c = cc; }

    public override double O {get{ return a + b + c; }}  // Obim.

    public override double P {get{                       // Povrina.
      double s = (a + b + c) / 2;
      return System.Math.Sqrt(s * (s-a) * (s-b) * (s-c));
    }}

    public override void Citaj() {                       // itanje.
      base.Citaj(); a = global::Citaj.Double();
      b = global::Citaj.Double(); c = global::Citaj.Double();
    }

    public override string ToString() {                  // Tekstualni opis.
      return "troug[" + base.ToString() + ", a=" + a + ", b=" + b + 
        ", c=" + c + ", O=" + O + ", P=" + P + "]"; 
    }
  }
}
