// Uredjaj.cs - Klasa elektrinih ureaja.

namespace Struja {
  public class Uredjaj: Potrosac {
    private string naziv;                               // Naziv ureaja.
    private double snaga;                               // Snaga ureaja.
  
    public Uredjaj(string n, double s)                  // Inicijalizacija.
      { naziv = n; snaga = s; }
  
    public override double Snaga {get{ return snaga; }} // Snaga ureaja.
  
    public override string ToString()                   // Tekstualni opis.
      { return naziv + "(" + snaga + ")"; }
  }
}
