// Uredjivac.cs - Klasa apstraktnih ureivaa.

namespace Uredjivanje {
  public abstract class Uredjivac {
    private Casovnik cas;                  // Sadrani asovnik.

    public Uredjivac(Casovnik cas)         // Inicijalizacija.
      { this.cas = cas; }

    public void Uredi(IUporediv[] u) {     // Organizovanje ureivanja.
      cas.Kreni();
      Radi(u);
      cas.Stani();
    }
    protected abstract void Radi(IUporediv[] niz);  // Ureivanje.
  }
}
