// Valjak.cs - Klasa valjaka.

public class Valjak {
  private double r, h;                             // Poluprenik i visina.

  public Valjak(double rr, double hh)              // Inicijalizacija.
    { r = rr; h = hh; }

  public Valjak() { r = h = 1; }

  public double R { get { return r; } }            // Poluprenik.

  public double H { get { return h; } }            // Visina.

  public double V { get { return r*r*System.Math.PI * h; } } // Zapremina.

  public override string ToString()                // Tekstualni opis.
    { return "[" + r + "," + h + "]"; }
}
