// Bure.cs - Klasa sanduka.

namespace Zeleznica {
  public class Bure: Teret {
    private double r, h;                     // Poluprenik i visina valjka.

    public Bure(double s, double rr, double hh)          // Inicijalizacija.
      : base(s) { r = rr; h = hh; }
  
    public override char Vrsta { get { return 'B'; } }   // Oznaka vrste.
  
    public override double Zapr                          // Zapremina.
      { get { return r * r * System.Math.PI * h; } }
  }
}
