// Djak2.cs - Klasa aka. 

namespace Nastava {
  public class Djak: Osoba {
    private Lista<Ispit> ispiti = new Lista<Ispit>(); // Lista ispita.

    public Djak(string ime, Datum rodj)               // Inicijalizacija.
      : base(ime, rodj) {}

    public Djak Dodaj(Ispit isp)                      // Dodavanje ispita.
      { ispiti.Dodaj(isp); return this; }

    public double SrOce { get {                       // Srednja ocena.
      double s = 0; int n = 0;
      for (ispiti.NaPrvi(); ispiti.ImaTek; ispiti.NaSled()) {
        int k = ispiti.Tek.Oce;
        if (k > 5) { s += k; n++; }
      }
      return n!=0 ? s/n : 0;
    }}

    public override string ToString()                 // Tekstualni opis.
      { return base.ToString() + ": " + SrOce; }
  }
}
