// Dodela.cs - Klasa dodele vrednosti.

namespace Izrazi {
  public class Dodela: Izraz {
    private Prom a;                            // Operandi.
    private Izraz b;
  
    public Dodela(Prom x, Izraz y)             // Inicijalizacija promen-
      { a = x; b = y; }                        //   ljivom i izrazom.

    public override double Vr()                // Vrednost dodele.
      { return a.Postavi(b).Vr(); }
  
    public override string ToString()          // Tekstualni opis.
      { return "(" + a + "=" + b + ")"; }
  }
}
