// Ekspon.cs - Klasa eksponencijalnih funkcija.

namespace Izvodi {
  public class Ekspon: Fun {
    private double a, b;                           // Parametri.
    
    public Ekspon(double aa, double bb)            // Inicijalizacija.
      { a = aa; b = bb; }
    
    public Ekspon() { a = b = 1; }
      
    public double F(double x)                      // Raunanje vrednosti.
      { return a * System.Math.Exp(b * x); }
    
    public Fun Izv()                               // Stvaranje izvoda.
      { return new Ekspon(a*b, b); }

    public override string ToString()              // Tekstualni opis.
      { return a + "*exp(" + b + "*x)"; }
  }
}
