// Figura1.cs - Apstraktna klasa figura u ravni.

namespace Figure1 {
  public abstract class Figura {
    private Tacka T;                                     // Teiste figure.
  
    public Figura()         { T = new Tacka(); }         // Inicijalizacija.
    public Figura(Tacka TT) { T = new Tacka(TT.X, TT.Y); }
  
    public void Postavi(double xx, double yy)            // Postavljanje u
      { T.X = xx; T.Y = yy; }                            //   novu taku.
  
    public void Pomeri (double dx, double dy)            // Pomeranje za
      { T.X += dx; T.Y += dy; }                          // dati pomak.
    
    public abstract double O { get; }                    // Obim.
  
    public abstract double P { get; }                    // Povrina.
  
    public virtual void Citaj() { T.Citaj(); }           // itanje.
  
    public override string ToString() { return "T="+T; } // Tekstualni opis.
  }
}
