// GreMatDim.cs - Klasa za greke: Neusaglaene dimenzije.

namespace Matrica {
  public class GreMatDim: System.Exception {
    private Matr mat1, mat2;                  // Problematine matrice.

    public GreMatDim(Matr m1, Matr m2)        // Inicijalizacija.
      { mat1 = m1; mat2 = m2; }
    
    public Matr Mat1 { get { return mat1; } } // Dohvatanje problematinih
    public Matr Mat2 { get { return mat2; } } //   matrica.

    public override string ToString() { // Sastavljanje tekstualnog opisa.
      return "*** Neusaglasene dimenzije matrica [" +
             mat1.Vrs + "," + mat1.Kol + "] i [" +
             mat2.Vrs + "," + mat2.Kol + "]";
    }
  }
}
