// GreNemaLog.cs - Klasa za greke: Nedozvoljen argument za logaritam.

namespace Integrali {
  public class GreNemaLog: Usluge.Greska {
    private double x;                           // Nedozvoljena vrednost.
                                                // Inicijalizacija:
    public GreNemaLog()                         // - bez navoenja
      : base("Logaritam negativnog broja")      //   nedozvoljene vrednosti,
      { x = 1; }
    public GreNemaLog(double x) { this.x = x; } // - navoenjem
                                                //   nedozvoljene vrednosti.
    public double X                             // Uzimanje nedozvoljene
      { get { return ImaPoruke ? 1 : x; } }     //   vrednosti.

    public override string ToString() {         // Tekstualni opis.
      return ImaPoruke ? base.ToString()
                       : "*** Ne postoji logaritam od " + x + "!";
    }
  }
}
