// GreVekt.cs - Klasa greaka pri radu s vektorima.

namespace Vektor {
  public class GreVekt: System.Exception {
                                         // Kodovi greaka:
    public const int OPSEG  = 0,         // - neispravan opseg indeksa,
                     INDEKS = 1,         // - indeks izvan opsega,
                     DUZINA = 2;         // - neusaglaene duine vektora.

    private static string[] por = {      // Tekstovi poruka o grekama.
                                    "Neispravan opseg indeksa!",
                                    "Indeks je izvan opsega!",
                                    "Neusaglasene duzine vektora!"
                                  };

    private int sif;                         // ifra greke.

    public GreVekt(int s) { sif = s; }       // Inicijalizacija.

    public int Sifra { get { return sif; } } // Dohvatanje sifre.
                                             // Tekstualni opis.
    public override string ToString() { return "*** " + por[sif]; }
  }
}
