// Greska1.cs - Osnovna klasa za greke.

namespace Usluge {
  public class Greska: System.Exception {
    private string por;                         // Tekst poruke.
                                                // Inicijalizacija:
    public Greska() {}                          // - bez poruke,
    public Greska(string p) { por = p; }        // - s porukom.

    public override string ToString()           // Tekstualni oblik.
      { return "*** " + (por != null ? por : "GRESKA"); }

    protected bool ImaPoruke                    // Ima li poruke?
      { get { return por != null; } }
  }
}
