// IIterator.cs  Interfejs iteratora sekvencijalnih zbirki.

namespace Zbirke {
  public interface IIterator {
    IIterator NaPocetak();                  // Pomeranje na poetak zbirke.
  
    IIterator NaSledeci();                  // Pomeranje na sledei element.
  
    bool ImaTek { get; }                    // Ima li tekueg?
  
    int Tek { get; set; }                   // Dohvatanje tekuem.
  
    IIterator BrisiTek();                   // Izbacivanje tekueg.
  }
}
