// IZbirka.cs  Interfejs sekvencijalnih zbirki.

namespace Zbirke {
  public interface IZbirka {
    int Vel { get; }                        // Veliina zbirke.
  
    IZbirka Dodaj(int b);                   // Dodavanje elementa.
  
    int this[int i] { get; set; }           // Pristupanje elementu.
  
    IZbirka Brisi(int i);                   // Izbacivanje elementa.
  
    IZbirka Isprazni();                     // Pranjenje zbirke.
  
    IIterator Iterator();                   // Stvaranje iteratora.
  
    string ToString();                      // Tekstualni opis zbirke.
  }
}
