// IntegraliTest.cs - Ispitivanje raunanja integrala.

using Integrali;
using System;

public class IntegraliTest {
  static void Main() {
    bool kraj = false;
    while (!kraj) {
      Fun fun = null;
      try {
        Console.Write("\nFunkcija (S, O, P, L, .)? ");
        switch (Citaj.Char()) {
          case 's': case 'S': fun = new Sin(); break;
          case 'o': case 'O': fun = new Oscil(); break;
          case 'p': case 'P': {
            Console.Write("Red polinoma? "); int n = Citaj.Int();
            Poli p = new Poli(n);
            while (true) {
              Console.Write("Indeks i vrednost koeficijenta? ");
              int i = Citaj.Int();
            if (i<0) break;
              p[i] = Citaj.Double();
            }
            fun = p;
            break;
          }
          case 'l': case 'L': fun = new Log(); break;
          case '.': kraj = true; break;
          default: throw new Usluge.Greska("Nedozvoljen izbor!");
        }
    if (kraj) break;
        Console.Write("Interval? ");
        Console.WriteLine("Integral= " +
                            fun.I(Citaj.Double(), Citaj.Double()));
      } catch (Exception gre)
         when (gre is Usluge.Greska  ||
               gre is Vektor.GreVekt   ) { Console.WriteLine(gre); }
    }
  }
}
