// Izlomljena.cs - Klasa izlomljenih linija u ravni.

namespace Linije {
  public class Izlomljena: Linija {
    protected Tacka[] tem;                  // Niz temena.

    public Izlomljena(Tacka[] niz)          // Inicijalizacija nizom taaka.
        { tem = niz; }

    public override double Duzina { get {   // Duina izlomljene linije.
      double d = 0;
      for (int i=0; i<tem.Length-1; i++)
        d += new Duz(tem[i], tem[i+1]).Duzina;
      return d;
    }}

    public override string ToString() {     // Tekstualni opis.
      return base.ToString()  + "[izlomljena: " +
             Tacka.ToString(tem) + "]";
    }
  }
}
