// IzraziTest.cs - Ispitivanje klasa za izraze.

using Izrazi;
using System;

public class IzraziTest {
  static void Main() {
    Prom x    = new Prom("x"),
         xmin = new Prom("xmin", -5),
         xmax = new Prom("xmax", 5),
         dx   = new Prom("dx",   1);
    Izraz izr = new Razl(
                  new Step  (x , new Konst(3)) ,
                  new Proizv(new Konst(2) , x)
                );
    Zbir korak = new Zbir(x, dx);
    Console.WriteLine(xmin + "=" + xmin.Vr() + ", " +
                       xmax + "=" + xmax.Vr() + ", " + dx + "=" + dx.Vr());
    Console.WriteLine("\n" + x + "\t" + izr + "\n======================");
    for (x.Postavi(xmin); x.Vr()<=xmax.Vr(); x.Postavi(korak))
      Console.WriteLine(x.Vr() + "\t" + izr.Vr());
  }
}
