// Izvlacenje.cs  Program za izvlaenje brojeva.

namespace Lutrija {
  using  System;

  public class Izvlacenje {
    static void Main() {
      Masina mas = new Masina(6);
      bool kraj = false;
      while (!kraj) {
        try {
          Console.Write("Izbor (Kreni, Stani, Zavrsi)? ");
          switch (Citaj.Char()) {
          case 'k':                          // Pokretanje maine.
            Console.Write("Broj tockova? ");
            mas.Kreni(Citaj.Int());
            break;
          case 's':                          // Zaustavljanje maine.
            Console.WriteLine("Dobitni broj: " + mas.Stani());
            break;
          case 'z':                          // Kraj rada.
            kraj = true; break;
          }
        } catch (Exception g) when (g is GreRadi || g is GreStoji ||
            g is GreDuz) { Console.WriteLine(g); }
      }
      mas.Unisti();
    }
  }
}
