// IzvodiTest.cs - Ispitivanje stvaranja izvoda.

using Izvodi;
using Usluge;
using System;

public class IzvodiTest {
  static void Main(string[] varg) {
    ZbirFun zbir = new ZbirFun(int.Parse(varg[0]));
    try {
      bool kraj = false;
      while (!kraj) {
        Console.Write("Vrsta (M, E, *)? ");
        switch (Citaj.Char()) {
          case 'm': case 'M':
            Console.Write("a,b? ");
            zbir.Dodaj(new Monom (Citaj.Double(), Citaj.Double()));
            break;
          case 'e': case 'E':
            Console.Write("a,b? ");
            zbir.Dodaj(new Ekspon(Citaj.Double(), Citaj.Double()));
            break;
          case '*': kraj = true; break;
          default:
            throw new Greska("Nedozvoljen izbor!");
        }
      }
      Fun izvod = zbir.Izv();
      Console.WriteLine("Fun= " + zbir );
      Console.WriteLine("Izv= " + izvod);
      double xmin = double.Parse(varg[1]),
             xmax = double.Parse(varg[2]),
             dx   = double.Parse(varg[3]);
      for (double x=xmin; x<=xmax; x+=dx)
        Console.WriteLine(x + "\t" + zbir.F(x) + "\t" + izvod.F(x));
    } catch (Exception g) when (g is GreZbirFunPun || g is Greska) {
      Console.WriteLine(g);
    }
  }
}
