// Kolic.cs - Klasa kolinika.

namespace Izrazi {
  public class Kolic: Izraz {
    private Izraz a, b;                        // Operandi.
  
    public Kolic(Izraz x, Izraz y)             // Inicijalizacija izrazima.
      { a = x; b = y; }

    public override double Vr()                // Vrednost kolinika.
      { return a.Vr() / b.Vr(); }
  
    public override string ToString()          // Tekstualni opis.
      { return "(" + a + "/" + b + ")"; }
  }
}
