// Krug3.cs - Klasa krugova u ravni.

using System;

namespace Figure1 {
  public class Krug: Figura {
    private double r;                                    // Poluprenik.
  
    public Krug()                   : base()   { r=1;  } // Inicijalizacija.
    public Krug(double rr)          : base()   { r=rr; }
    public Krug(double rr, Tacka tt): base(tt) { r=rr; }
  
    public override double O {get{ return 2 * r * Math.PI; }} // Obim.
  
    public override double P {get{ return r * r * Math.PI; }} // Povrina.
  
    public override void Citaj()                              // itanje.
      { base.Citaj(); r = global::Citaj.Double(); } 
  
    public override string ToString() {                  // Tekstualni opis.
      return "krug [" + base.ToString() + ", r=" + r + 
        ", O=" + O + ", P=" + P + "]"; 
    }
  }
}
