// Kupac2.cs - Klasa kupaca.

namespace Trgovina2 {
  using Predmeti1;

  public class Kupac {
    private static int posId = 0;  // Poslednji identifikator.
    private int id = ++posId;      // Identifikator kupca.
    private char vrsta;            // Vrsta predmeta koji se kupuje.
  
    public Kupac(char v) { vrsta = v; }        // Inicijalizacija.
  
    public int Id { get { return id; } }       // Dohvatanje identifikatora.
  
    public char Vrs { get { return vrsta; } }  // Dohvatanje vrste predmeta.

    public void Usluzen(Predmet p) {           // Preuzimanje predmeta.
      System.Console.WriteLine(
        "Kupac  " + this + " " + (p!=null ? "je dobio " + p
                                          : "nije dobio nista")
      );
    }

    public override string ToString()          // Tekstualni opis.
      { return "K" + id + "(" + vrsta + ")"; }
  }
}
