// KvadJed.cs - Reavanje kvadratne jednaine.

using System;

class KvadJed {
  static void Main() {
    const int REALNI = 0, DVOSTRUKI = 1,  // ifre vrsta reenja jednaine.
              KOMPLEKSNI = 2, LINEARNA = 3, POGRESNA = 4;

    Console.Write("Koeficijenti kvadratne jednacine? ");
    double a = Citaj.Double(), b = Citaj.Double(), c = Citaj.Double();
    double x1 = 0, x2 = 0,                // Realni delovi korena.
           y1 = 0, y2 = 0;                // Imaginarni delovi korena.
    int vrsta;                            // Vrsta reenja jednaine.

    if (a != 0) {
      double d = b * b - 4 * a * c;       // Diskriminanta jednaine.
      if (d > 0) {
        vrsta = REALNI;
        x1 = (-b + Math.Sqrt(d)) / (2 * a);
        x2 = (-b - Math.Sqrt(d)) / (2 * a);
      } else if (d == 0) {
        vrsta = DVOSTRUKI;
        x1 = -b / (2 * a);
      } else {
        vrsta = KOMPLEKSNI;
        x1 = -b / (2 * a);
        y1 = Math.Sqrt(-d)/(2*a);
        x2 = x1;
        y2 = -y1;
      }
    } else
      if (b != 0) {
        vrsta = LINEARNA;
        x1 = -c / b;
      } else
        vrsta = POGRESNA;

    if (vrsta == REALNI)
      Console.WriteLine("Realni koreni su " + x1 + " i " + x2);
    else if (vrsta == DVOSTRUKI)
      Console.WriteLine("Dvostruki realni koren je " + x1);
    else if (vrsta == KOMPLEKSNI)
      Console.WriteLine("Kompleksni koreni su(" + x1 + "," + y1 + 
                                        ") i (" + x2 + "," + y2 + ")");
    else if (vrsta == LINEARNA)
      Console.WriteLine("Resenje linearne jednacine je " + x1);
    else if (vrsta == POGRESNA)
      Console.WriteLine("Podaci nemaju smisla!");
  }
}
