// Kvadar3.cs - Klasa kvadara.

namespace Trgovina1 {
  public class Kvadar: Proizvod {
    private double a, b, c;                       // Dimenzije kvadra.

    public Kvadar(double aa, double bb, double cc)// Inicijalizacija.
      { a = aa; b = bb; c = cc; }
  
    public override char Oznaka                   // Oznaka vrste proizvoda.
      { get { return 'K'; } }

    public override bool Istovetan(IUporediv u) { // Da li su istovetni?
      if (!base.Istovetan(u)) return false;
      Kvadar k = (Kvadar)u;
      return a==k.a && b==k.b && c==k.c;
    }
 
    public override double Zapremina              // Zapremina kvadra.
      { get { return a * b * c; } }

    public override string ToString()             // Tekstualni opis.
      { return base.ToString() + "(" + a + "," + b + "," + c + ")"; }
  }
}
