// Linija.cs - Apstraktna klasa linija u ravni.

namespace Linije {
  public abstract class Linija {
    private static int posId = 0;                // Poslednji identifikator.
    private int id = ++posId;                    // Identifikator linije.

    public int Id { get { return id; } }         // Identifikator linije.

    public abstract double Duzina { get; }       // Duina linije.

    public override string ToString()            // Tekstualni opis.
      { return id + ""; }
  }
}
