// Lokomot.cs - Klasa lokomotiva.

namespace Zeleznica {
  public class Lokomot: Vozilo {
    private double vSila;                         // Vuna sila.

    public Lokomot(double st, double vs)          // Inicijalizacija.
      : base(st) { vSila = vs; }

    public override double VucnaSila { get{ return vSila; } } // Vuna sila.
  
    public override string ToString()             // Tekstualni opis.
      { return "L(" + UkTezina + "|" + vSila + ")"; }
  }
}
