// MasSfera.cs - Klasa maina za sfere.

using Predmeti1;

namespace Radionica {
  public class MasSfera: Masina {
    private double r;                     // Poluprenik pravljenih sfera.
  
    public MasSfera(double ss, double rr) // Inicijalizacija.
      : base(ss) { r = rr; }
    
    double R { get { return r; } }        // Dohvatanje poluprenika.

    public override char Vrsta            // Vrsta pravljenih proizv.
     { get { return Sfera.VR; } }

    public override Predmet Napravi()     // Pravljenje sfere.     
      { br++; return new Sfera(spTez, r); }
  }
}
