// MetodaIzbora2.cs - Klasa za ureivanje poboljanom metodom izbora.

namespace Uredjivaci {
  using Usluge;

  public class MetodaIzbora2: IUredjivac {
    public void Uredi (IUporediv[] niz) {   // Ureivanje niza.
      int n = niz.Length;
      for (int i=0; i<n-1; i++) {
        int m = i;
        for (int j=i+1; j<n; j++)
          if (niz[j].Ispred (niz[m])) m = j;
        if (m != i) {
          IUporediv p = niz[i]; niz[i] = niz[m]; niz[m] = p; }
      }
    }

    public override string ToString ()      // Naziv algoritma.
      { return "Poboljsana metoda izbora"; }
  }
}
