// MetodaUmetanja.cs - Klasa za uredjivanje metodom umetanja
//                     (Insertion Sort).

namespace Uredjivaci {
  using Usluge;

  public class MetodaUmetanja: IUredjivac {
    public void Uredi (IUporediv[] niz) {   // Ureivanje niza.
      int n = niz.Length;
      for (int i=1; i<n; i++) {
        int j = i - 1;
        while (j>=0 && niz[j+1].Ispred (niz[j])) {
          IUporediv p = niz[j+1]; niz[j+1] = niz[j]; niz[j--] = p;
        }
      }
    }
 
    public override string ToString ()      // Naziv algoritma.
      { return "Metoda umetanja"; }
  }
}
