// MetodaUmetanja2.cs - Klasa za uredjivanje poboljanom metodom umetanja.

namespace Uredjivaci {
  using Usluge;

  public class MetodaUmetanja2: IUredjivac {
    public void Uredi (IUporediv[] niz) {   // Ureivanje niza.
      int n = niz.Length;
      for (int i=1; i<n; i++) {
        IUporediv p = niz[i];
        int j = i - 1;
        while (j>=0 && p.Ispred (niz[j])) niz[j+1] = niz[j--];
        niz[j+1] = p;
      }
    }

    public override string ToString ()      // Naziv algoritma.
      { return "Poboljsana metoda umetanja"; }
  }
}
