// Monom.cs - Klasa monoma.

namespace Izvodi {
  public class Monom: Fun {
    private double a, b;                           // Parametri.
    
    public Monom(double aa, double bb)             // Inicijalizacija.
      { a = aa; b = bb; }
    
    public Monom() { a = b = 1; }
      
    public double F(double x)                      // Raunanje vrednosti.
      { return a * System.Math.Pow(x, b); }

    public Fun Izv()                               // Stvaranje izvoda.
      { return new Monom(a*b, b-1); }

    public override string ToString()              // Tekstualni opis.
      { return a + "*x^" + b; }
  }
}
