// Niz2.cs - Generika klasa nizova.

namespace Zeleznica {
  public class Niz<E> {
    private E[] niz;                              // Niz elemenata.
    private int duz = 0;                          // Duina niza.

    public Niz(int kap) { niz = new E [kap]; }    // Stvaranje praznog niza.
      
    public int Duzina { get { return duz; } }     // Duina niza.
  
    public Niz<E> Dodaj(E t) {                    // Dodavanje elementa.
      if (duz == niz.Length) throw new GrePun();
      niz[duz++] = t;
      return this;
    }
 
    public E this[int i] { get {                  // Dohvatanje elementa.
      if (i<0 || i>=duz) throw new GreIndeks();
      return niz[i];
    }}
  }
}
