// PVozilo.cs - Klasa putnikih vozila.

namespace Vozila {
  public class PVozilo: Vozilo {
    double srTez;                                 // Srednja teina putnika.
    int brPut;                                    // Broj putnika.

    public PVozilo(double st, double srt, int bp)       // Inicijalizacija.
      : base(st) { srTez = srt; brPut = bp; }

    public override char Vrsta { get { return 'P'; } }  // Vrsta vozila.

    public override double Tezina                       // Ukupna teina.
      { get { return base.Tezina + srTez * brPut; } }

    public override string ToString()                   // Tekstualni opis.
      { return base.ToString() + srTez + "," + brPut + ")"; }
  }
}
