// PokretniTest.cs - Ispitivanje klase pokretnih taaka.

using Pokretni;
using System;

public class PokretniTest {
  static void Main() {
    Console.Write("Broj tacaka? "); int n = Citaj.Int();
    Tacka[] tacke = new Tacka [n];
    for (int i=0; i<n; i++) {
      Console.Write("Koordinate tacke " + i + "? ");
      double x = Citaj.Double(), y = Citaj.Double(), z = Citaj.Double();
      Console.Write("Komponente brzine?  ");
      double vx = Citaj.Double(), vy = Citaj.Double(), vz = Citaj.Double();
      tacke[i] = new Tacka(new Vektor(x,y,z), new Brzina(vx,vy,vz));
    }

    Console.Write("\nBroj koraka? "); int k = Citaj.Int();
    Console.Write("Trajanje koraka? "); double dt = Citaj.Double();
    Tacka org = new Tacka();
    Console.Write("ORG   " + org + "\n\n");

    for (int i=0; i<k; i++) {
      for (int j=0; j<n; tacke[j++].Proteklo(dt));
      double min = org.Rastojanje(tacke[0]); int m = 0;
      for (int j=1; j<n; j++) {
        double d = org.Rastojanje(tacke[j]);
        if (d < min) { min = d; m = j; }
      }
      Console.WriteLine(i + " " + tacke[m] + " " + min);
    }
  }
}
