// Poli1.cs - Klasa polinoma.

namespace Funkcije {
  public class Poli {
    private double[] koef;                   // Koeficijenti polinoma.
  
    public Poli(double[] k) { koef = k; }    // Inicijalizacija.

    public double Vrednost(double x) {       // Vrednost polinoma.
      double p = 0;
      for (int i=koef.Length; i>0; p = p*x+koef[--i]);
      return p;
    }
  
    public double Izvod(double x) {          // Vrednost izvoda polinoma.
      double izv = 0;
      for (int i=koef.Length; i>1; izv = izv*x + --i*koef[i]);
      return izv;
    }
  }
}
