// PrevozTest.cs - Ispitivannje klasa roba i kamiona.

using Prevoz;
using System;

public class PrevozTest {
  static void Main() {
    try {
      Paket p = new Paket(5);
      p.Dodaj(new Artikal("cigla", 100, 2))
       .Dodaj(new Paket(2).Dodaj(new Artikal("solja", 200, 0.2))
                          .Dodaj(new Artikal("tanjir",500, 0.4)))
       .Dodaj(new Artikal("cekic", 350, 0.6));
      Kamion k = new Kamion(800, 2500);
      k.Dodaj(p)
       .Dodaj((Paket)p.Clone())
       .Dodaj((Paket)p.Clone())
       .Dodaj((Paket)p.Clone());
      Console.WriteLine(k);
    } catch (Exception g) when (g is GrePun || g is GreTeret) {
      Console.WriteLine(g);
    }
  }
}
