// Proizv.cs - Klasa proizvoda.

namespace Izrazi {
  public class Proizv: Izraz {
    private Izraz a, b;                        // Operandi.
  
    public Proizv(Izraz x, Izraz y)            // Inicijalizacija izrazima.
      { a = x; b = y; }

    public override double Vr()                // Vrednost proizvoda.
      { return a.Vr() * b.Vr(); }
  
    public override string ToString()          // Tekstualni opis.
      { return "(" + a + "*" + b + ")"; }
  }
}
