// Prosta.cs - Klasa prostih naredbi.

using Izrazi;

namespace Naredbe {
  public class Prosta: Naredba {
    Izraz izr;                                 // Izraz koji se izraunava.

    public Prosta() {}                         // Prazna naredba.

    public Prosta(Izraz i) { izr = i; }        // Inicijalizacija izrazom.

    public override void Izvrsi()              // Izvravanje.
      { if (izr != null) izr.Vr(); }

    public override string ToString()          // Tekstualni opis.
      { return Nivo + (izr != null ? izr.ToString() : "") + ";\n"; }
  }
}
