// Radnik3.cs - Klasa radnika.

namespace Trgovina1 {
  public class Radnik: Osoba {
    private Skladiste sklad;                      // Pridrueno skladite.
    private Proizvod kalup;                       // Pridrueni kalup.

    public Radnik(string ime, Skladiste s, Proizvod p) // Inicijalizacija.
      : base(ime) { sklad = s; kalup = p; }

    public Radnik Proizvedi() {                   // Stvaranje proizvoda.
      sklad.Stavi((Proizvod)kalup.Clone());
      return this;
    }
 
    public override string ToString()             // Tekstualni opis.
      { return base.ToString() + ": " + kalup; }
  }
}
