// Razl.cs - Klasa razlika.

namespace Izrazi {
  public class Razl: Izraz {
    private Izraz a, b;                        // Operandi.
  
    public Razl(Izraz x, Izraz y)              // Inicijalizacija izrazima.
      { a = x; b = y; }

    public override double Vr()                // Vrednost razlike.
      { return a.Vr() - b.Vr(); }
  
    public override string ToString()          // Tekstualni opis.
      { return "(" + a + "-" + b + ")"; }
  }
}
