// Recenice.cs - Sreivanje reenica.

using System.IO;
using System;

public class Recenice {
  private static void recenice(TextReader ul, TextWriter izl) {
    bool prvi = true;
    try {
      while (true) {
        int i = ul.Read();
      if (i == -1) break;
        char zn = (char)i;
        Console.Write(zn);
        if (char.IsUpper(zn))
          { if (!prvi) zn = char.ToLower(zn); else prvi = false; }
        else if (char.IsLower(zn))
          { if (prvi) { zn = char.ToUpper(zn); prvi = false; } }
        else if (zn=='.' || zn=='!' || zn=='?')
          prvi = true;
        izl.Write(zn);
      }
      izl.Close();
    } catch (IOException) {}
  }

  static void Main() {
    while (true) {
      Console.Write("Ime ulazne datoteke?  ");
      string ulaz = Citaj.String();
    if (ulaz == "***") break;
      Console.Write("Ime izlazne datoteke? ");
      string izlaz = Citaj.String();
    if (izlaz == "***") break;
      try {
        recenice(new StreamReader(ulaz), new StreamWriter(izlaz));
      } catch (FileNotFoundException) {
        Console.WriteLine("*** Datoteka ne postoji!");
      }
    }
  }
}
