// RednaVezaOtpornika.cs - Klasa redno vezanih otpornika.

namespace Otpornici {
  public class RednaVezaOtpornika: SlozenOtpornik {
    public override double Otpornost { get {        // Otpornost otpornika.
      double r = 0;
      for (Elem tek=prvi; tek!=null; tek=tek.sled)
        r += tek.R.Otpornost;
      return r;
    }}

    protected override sealed char Otv () => '(';   // Simboli za tekstualni
    protected override sealed char Oper() => '+';   //   opis.
    protected override sealed char Zatv() => ')';
  }
}
