// Roba.cs - Apstraktna klasa roba.

namespace Prevoz {
  public abstract class Roba: IVrednostan, IMerljiv, System.ICloneable {
    public virtual object Clone ()                   // Kopija robe.
      { return MemberwiseClone(); }

    public abstract double Vrednost { get; }         // Vrednost robe.

    public abstract double Tezina { get; }           // Teina robe.
  }
}
