// SekRadi.cs - Obrada sekvencijalne binarne datoteke.

using System.IO;
using System;

public class SekRadi {
  static void Main(String[] varg) {
    BinaryReader ulaz = null; BinaryWriter poz = null, neg  = null;
    try {
      ulaz = new BinaryReader(new FileStream(varg[0], FileMode.Open));
      poz  = new BinaryWriter(new FileStream(varg[1], FileMode.Create));
      neg  = new BinaryWriter(new FileStream(varg[2], FileMode.Create));
      while (true) {
        int n = ulaz.ReadInt32();
        double[] x = new double [n];
        double s = 0;
        for (int i=0; i<n; s+=(x[i++]=ulaz.ReadDouble()));
        if (s != 0) {
          (s>0 ? poz : neg).Write(n);
          for (int i=0; i<n; i++) (s>0 ? poz : neg).Write(x[i]);
        }
      }
    } catch (FileNotFoundException) {
      Console.WriteLine("*** Greska pri otvaranju datoteke!");
    } catch (EndOfStreamException) {
    } catch (IOException) {
      Console.WriteLine("*** Ulazno/izlazna greska!");
    } finally {
      if (ulaz != null) ulaz.Close();
      if (poz  != null) poz .Close();
      if (neg  != null) neg .Close();
    }
  }
}
