// Selekcija.cs - Klasa selekcija.

using Izrazi;

namespace Naredbe {
  public class Selekcija: Naredba {
    private Izraz izr;                        // Uslov selekcije.
    private Naredba nar1, nar2;               // Uslovno izvravane naredbe.
  
    public Selekcija(Izraz i, Naredba n1, Naredba n2) // Inicijalizacija.
      { izr = i; nar1 = n1; nar2 = n2; }

    public override void Izvrsi()             // Izvravanje.
      { if (izr.Vr() != 0) nar1.Izvrsi(); else nar2.Izvrsi(); }

    public override string ToString() {       // Tekstualni opis.
      string s = Nivo + "if(" + izr + ")\n";
      Nivo += "  "; s += nar1; Nivo = Nivo.Substring(2);
      s += Nivo + "else\n";
      Nivo += "  "; s += nar2; Nivo = Nivo.Substring(2);
      return s;
    }
  }
}
