// Skola.cs - Klasa kola.

namespace Nastava {
  public class Skola {
    private string ime;                          // Ime kole.
    private Lista<Djak> djaci = new Lista<Djak>();  // Lista aka.
 
    public Skola(string ii) { ime = ii; }        // Inicijalizacija.
  
    public string Ime { get { return ime; } }    // Dohvatanje imena.

    public Skola Dodaj(Djak djak)                // Dodavanje aka.
      { djaci.Dodaj(djak); return this; }
  
    public Djak Najbolji { get {                 // ak s najviim prosekom.
      Djak naj = null; double max = 0;
      for (djaci.NaPrvi(); djaci.ImaTek; djaci.NaSled()) {
        Djak tek = djaci.Tek;
        double m = tek.SrOce;
        if (m > max) { max = m; naj = tek; }
      }
      return naj;
    }}
  }
}
