// TVozilo.cs - Klasa teretnih vozila.

namespace Vozila {
  public class TVozilo: Vozilo {
    private double teret;                               // Teina tereta.

    public TVozilo(double st, double t)                 // Inicijalizacija.
      : base(st) { teret = t; }

    public override char Vrsta { get { return 'T'; } }  // Vrsta vozila.
  
    public override double Tezina                       // Ukupna teina.
      { get { return base.Tezina + teret; } }

    public override string ToString()                   // Tekstualni opis.
      { return base.ToString() + teret + ")"; }
  }
}
