// Tacka1.cs - Klasa taaka u ravni.

using System;

class Tacka {
  private double x, y;                      // Koordinate.

  public void Postavi(double a, double b)   // Postavljanje koordinata.
    { x = a; y = b; }

  public double X() { return x; }           // Apscisa.

  public double Y() { return y; }           // Ordinata.

  public double Rastojanje(Tacka t)         // Rastojanje do take.
    { return Math.Sqrt(Math.Pow(x-t.x,2) + Math.Pow(y-t.y,2)); }

  public void Citaj()                       // itanje take.
    { x = global::Citaj.Double(); y = global::Citaj.Double(); }

  public void Pisi()                        // Pisanje take.
    { Console.Write("(" + x + "," + y + ")"); }

  static void Main() {  // Ispitivanje klase taaka.
    Console.Write("t1? ");
    double x = global::Citaj.Double(),
           y = global::Citaj.Double();
    Tacka t1 = new Tacka(); t1.Postavi(x, y);
    Console.Write("t2? ");
    Tacka t2 = new Tacka(); t2.Citaj();
    Console.Write("t1=(" + t1.X() + "," + t1.Y() + "), t2=");
    t2.Pisi(); Console.WriteLine();
    Console.WriteLine("Rastojanje=" + t1.Rastojanje(t2));
  }
}
