// Tacka7.cs - Struktura taaka u ravni.

using System;

public struct Tacka7 {
  private double x, y;                        // Koordinate.

  public Tacka7(double a, double b) { x = a; y = b; }    // Konstruktori.
  public Tacka7(double a) { x = a; y = 0; }
  // Ne moe bez parametara - podrazumevano uvek postoji.

  public double X { get { return x;} set { x = value;} } // Apscisa.

  public double Y { get { return y;} set { y = value;} } // Ordinata.
 
  public double R                             // Rastojanje od (0,0).
    { get { return Math.Sqrt (x*x + y*y); } }

  public override string ToString()           // Tekstualni opis.
    { return "(" + x + "," + y + ")"; }

  static void Main () { // Ispitivanje klase taaka.
    Tacka7 ta = new Tacka7 (1, 1);
    Tacka7 tb = new Tacka7 (4, 5);
    Console.WriteLine ("ta=" + ta + ", tb=" + tb);
    ta = tb; ta.X = 8; ta.Y = 0;
    Console.WriteLine ("ta=" + ta + ", tb=" + tb);
  }
}
