// VozilaTest.cs - Ispitivanje klasa vozila.

using Vozila;
using System;

class VozilaTest {
  static void Main() {
    Vozilo[] vozila = new Vozilo [100]; int n = 0;
    bool kraj = false;
    while (!kraj) {
      Console.Write("\nVrsta vozila (T,P,*)? ");
 
      switch (Citaj.Char()) {
        case 't': case 'T':
          Console.Write("Sopstvena tezina?     ");
          double sTez = Citaj.Double();
          Console.Write("Tezina tereta?        ");
          double ter  = Citaj.Double();
          vozila[n++] = new TVozilo(sTez, ter);
          break;
        case 'p': case 'P':
          Console.Write("Sopstvena tezina?     ");
                 sTez  = Citaj.Double();
          Console.Write("Sr. tezina putnika?   ");
          double srTez = Citaj.Double();
          Console.Write("Broj putnika?         ");
          int    brPut = Citaj.Int();
          vozila[n++] = new PVozilo(sTez, srTez, brPut);
          break;
        case '*': kraj = true; break;
        default:
          Console.WriteLine("*** Nepoznata vrsta vozila!");
          break;
      }
    }
    Console.Write("\nNosivost mosta?       ");
    double nosivost = Citaj.Double();
    Console.Write("\nMogu da predju most:\n");
    for (int i=0; i<n; i++)
      if (vozila[i].Tezina <= nosivost)
        Console.WriteLine(vozila[i] + " - " + vozila[i].Tezina);
  }
}
