// Vozilo.cs - Apstraktna klasa vozila.

namespace Vozila {
  public abstract class Vozilo {
    private double sopTez;                              // Sopstvena teina.

    public Vozilo(double st) { sopTez = st; }           // Inicijalizacija.

    public abstract char Vrsta { get; }                 // Vrsta vozila.

    public virtual double Tezina {get{ return sopTez; }}// Ukupna teina.

    public override string ToString()                   // Tekstualni opis.
      { return Vrsta + "(" + sopTez + ","; }
  }
}
