// Vozilo2.cs - Apstraktna klasa vozila.

namespace Zeleznica {
  public abstract class Vozilo {
    private double sopTez;                        // Sopstvena teina.

    public Vozilo(double st) { sopTez = st; }     // Inicijalizacija.

    public virtual double UkTezina                // Ukupna teina.
      { get { return sopTez; } }

    public abstract double VucnaSila { get; }     // Vuna sila.
  }
}
