// Zbir2.cs - Klasa zbirova.

namespace Izrazi {
  public class Zbir: Izraz {
    private Izraz a, b;                        // Operandi.
  
    public Zbir(Izraz x, Izraz y)              // Inicijalizacija izrazima.
      { a = x; b = y; }

    public override double Vr()                // Vrednost zbira.
      { return a.Vr() + b.Vr(); }
  
    public override string ToString()          // Tekstualni opis.
      { return "(" + a + "+" + b + ")"; }
  }
}
