// ZeleznicaTest.cs - Ispitivanje klase vozova.

using Zeleznica;
using System;

public class ZeleznicaTest {
  static void Main() {
    try {
      Voz voz = new Voz(3);
      voz.Dodaj(new Lokomot(200, 3000));
      Vagon vag = new Vagon(100, 5);
      vag.Dodaj(new Sanduk(3, 2, 1, 3));
      vag.Dodaj(new Bure(2, 2, 4));
      voz.Dodaj(vag);
      vag = new Vagon(150, 10);
      vag.Dodaj(new Sanduk(4, 2, 10, 3));
      vag.Dodaj(new Bure(6, 3, 8));
      voz.Dodaj(vag);
      Console.Write(voz);
    } catch (Exception g) when (g is GrePreopt || g is GrePun) {
      Console.WriteLine(g);
    }
  }
}
