// Znak.cs - Klasa uporedivih znakova.

namespace Uredjivanje {
  public class Znak: IUporediv {
    private char zn;                       // Vrednost znaka.

    public Znak(char zn) { this.zn = zn; } // Inicijalizacija.

    public char Zn { get { return zn; } }  // Dohvatanje znaka.

    public bool Manji(IUporediv u)         // Da li je manji?
      { return zn <  ((Znak)u).zn; }

    public bool Isti (IUporediv u)         // Da li je isti?
      { return zn == ((Znak)u).zn; }

    public override string ToString()      // Tekstualni opis.
      { return zn.ToString(); }
  }
}
